# Uses of Interface
org.codehaus.janino.Java.TypeArgument

Packages that use Java.TypeArgument
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.TypeArgument in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.TypeArgument
Modifier and Type
Class
Description
`static final class`
`Java.ArrayType`
Representation of a JLS7 10.1 "array type".
`static final class`
`Java.ReferenceType`
Representation of a JLS7 4.3 reference type.
`static class`
`Java.Wildcard`
Representation of a JLS7 4.5.1 "wildcard".
Fields in org.codehaus.janino declared as Java.TypeArgument
Modifier and Type
Field
Description
`final Java.TypeArgument[]`
Java.ClassInstanceCreationReference.`typeArguments`
The optional type arguments for the `Java.ClassInstanceCreationReference.type`.
`final Java.TypeArgument[]`
Java.ReferenceType.`typeArguments`
The optional type arguments of the reference type.
Constructors in org.codehaus.janino with parameters of type Java.TypeArgument
Modifier
Constructor
Description
``
`ClassInstanceCreationReference(Location location, Java.Type type, Java.TypeArgument[] typeArguments)`
``
`ReferenceType(Location location, Java.Annotation[] annotations, String[] identifiers, Java.TypeArgument[] typeArguments)`

## Uses of Java.TypeArgument in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.TypeArgument
Modifier and Type
Method
Description
`Java.TypeArgument[]`
DeepCopier.`copyOptionalTypeArguments(Java.TypeArgument[] subject)`
`Java.TypeArgument`
DeepCopier.`copyTypeArgument(Java.TypeArgument subject)`
`Java.TypeArgument[]`
DeepCopier.`copyTypeArguments(Java.TypeArgument[] subject)`
`Java.TypeArgument`
DeepCopier.`copyWildcard(Java.Wildcard subject)`
Methods in org.codehaus.janino.util with parameters of type Java.TypeArgument
Modifier and Type
Method
Description
`Java.TypeArgument[]`
DeepCopier.`copyOptionalTypeArguments(Java.TypeArgument[] subject)`
`Java.TypeArgument`
DeepCopier.`copyTypeArgument(Java.TypeArgument subject)`
`Java.TypeArgument[]`
DeepCopier.`copyTypeArguments(Java.TypeArgument[] subject)`